#XmlReaderNodeType


None
C
i
0
Element
C
i
1
Attribute
C
i
2
Text
C
i
3
CDATA
C
i
4
EntityReference
C
i
5
Entity
C
i
6
ProcessingInstruction
C
i
7
Comment
C
i
8
Document
C
i
9
DocumentType
C
i
10
DocumentFragment
C
i
11
Notation
C
i
12
Whitespace
C
i
13
SignificantWhitespace
C
i
14
EndElement
C
i
15
EndEntity
C
i
16
XmlDeclaration
C
i
17
#.XmlReaderNodeAttributes


_next
m
.XmlReaderNode

Count
r
i

#.XmlReaderNode


Attributes
r
.XmlReaderNodeAttributes

BaseUri
r
s

Depth
r
i

IsDefault
r
b

IsEmptyElement
r
b

LocalName
r
s

Name
r
s

NamespaceUri
r
s

Prefix
r
s

QuoteChar
r
s

Type
r
i

Value
r
s

XmlLang
r
s

#XmlReader

C
Decode
M
s
(Data)s(Encoding)s
_free
m


Open
m

(FileName)s
Close
m


FromString
m

(Buffer)s[(URL)s]
Read
m


Eof
r
b

Node
r
.XmlReaderNode

#.XmlWriterDTD


Start
m

(Name)s[(PubID)s(SysID)s]
Element
m

(Name)s[(Content)s]
InternalEntity
m

(Name)s(Content)s[(IsParameter)b]
AttList
m

(Name)s(Content)s
End
m


#XmlWriter

C
DTD
r
.XmlWriterDTD

_free
m


Open
m

(FileName)s[(Indent)b(Encoding)s]
StartElement
m

(Name)s[(Attributes)String[];(Prefix)s(URI)s]
Attribute
m

(Name)s(Value)s[(Prefix)s(URI)s]
Element
m

(Name)s[(Value)s(Prefix)s(URI)s]
Comment
m

(Comment)s
Text
m

(Data)s
Base64
m

(Data)s
BinHex
m

(Data)s
CDATA
m

(Data)s
EndElement
m


EndDocument
m
s

PI
m

(Target)s(Content)s
#.XmlNodeAttributes


_next
m
XmlNode

Count
r
i

#.XmlNodeChildren


_get
m
XmlNode
(Element)i
Count
r
i

#XmlNode


ElementNode
C
i
1
AttributeNode
C
i
2
TextNode
C
i
3
CDataSectionNode
C
i
4
EntityRefNode
C
i
5
EntityNode
C
i
6
PiNode
C
i
7
CommentNode
C
i
8
DocumentNode
C
i
9
DocumentTypeNode
C
i
10
DocumentFragNode
C
i
11
NotationNode
C
i
12
HtmlDocumentNode
C
i
13
DtdNode
C
i
14
ElementDecl
C
i
15
AttributeDecl
C
i
16
EntityDecl
C
i
17
NamespaceDecl
C
i
18
XIncludeStart
C
i
19
XIncludeEnd
C
i
20
DocbDocumentNode
C
i
21
Name
p
s

Value
p
s

Parent
r
XmlNode

Next
r
XmlNode

Previous
r
XmlNode

Children
r
.XmlNodeChildren

Attributes
r
.XmlNodeAttributes

NewAttribute
m

(Name)s(Value)s
NewElement
m

(Name)s(Value)s
_free
m


#XmlDocument

C
Encoding
r
s

Root
r
XmlNode

_free
m


Open
m

(FileName)s
FromString
m

(Data)s
HtmlFromString
m

(Data)s
Write
m

(FileName)s[(Encoding)s]
Write
m

(FileName)s[(Encoding)s]
ToString
m
s
[(Encoding)s]
